local ThisModPath = ModPath

if blt.xaudio then
	blt.xaudio.setup()
else
	return
end

local mod_ids = Idstring(ThisModPath):key()
local hook1 = "F"..Idstring("hook1::"..mod_ids):key()
local hook2 = "F"..Idstring("hook2::"..mod_ids):key()
local msgr1 = "F"..Idstring("msgr1::"..mod_ids):key()

Hooks:PostHook(PlayerDamage, "init", hook1, function(self)
	managers.player:unregister_message(Message.OnPlayerDodge, msgr1)
	managers.player:register_message(Message.OnPlayerDodge, msgr1, function()		
		local ThisOGGPath		
		local __rnd = math.random(1, 46)	
		elseif __rnd == 1 then
			ThisOGGPath = "assets/sounds/SFX/s2.ogg"
		elseif __rnd == 2 then
			ThisOGGPath = "assets/sounds/SFX/s5.ogg"
		elseif __rnd == 3 then
			ThisOGGPath = "assets/sounds/SFX/s7.ogg"	
		elseif __rnd == 4 then
			ThisOGGPath = "assets/sounds/SFX/s13.ogg"
		elseif __rnd == 5 then
			ThisOGGPath = "assets/sounds/SFX/s14.ogg"
		elseif __rnd == 6 then
			ThisOGGPath = "assets/sounds/SFX/s15.ogg"
		elseif __rnd == 7 then
			ThisOGGPath = "assets/sounds/SFX/s16.ogg"
		elseif __rnd == 8 then
			ThisOGGPath = "assets/sounds/SFX/s17.ogg"
		elseif __rnd == 9 then
			ThisOGGPath = "assets/sounds/SFX/s18.ogg"
		elseif __rnd == 10 then
			ThisOGGPath = "assets/sounds/SFX/s19.ogg"
		elseif __rnd == 12 then
			ThisOGGPath = "assets/sounds/SFX/s20.ogg"	
		elseif __rnd == 13 then
			ThisOGGPath = "assets/sounds/SFX/s21.ogg"	
		elseif __rnd == 14 then
			ThisOGGPath = "assets/sounds/SFX/s22.ogg"	
		elseif __rnd == 15 then
			ThisOGGPath = "assets/sounds/SFX/s23.ogg"
		elseif __rnd == 16 then
			ThisOGGPath = "assets/sounds/SFX/s24.ogg"	
		elseif __rnd == 17 then
			ThisOGGPath = "assets/sounds/SFX/s25.ogg"	
		elseif __rnd == 18 then
			ThisOGGPath = "assets/sounds/SFX/s26.ogg"
		elseif __rnd == 19 then
			ThisOGGPath = "assets/sounds/SFX/s27.ogg"
		elseif __rnd == 20 then
			ThisOGGPath = "assets/sounds/SFX/s28.ogg"
		elseif __rnd == 21 then
			ThisOGGPath = "assets/sounds/SFX/s29.ogg"
		elseif __rnd == 22 then
			ThisOGGPath = "assets/sounds/SFX/s30.ogg"
		elseif __rnd == 23 then
			ThisOGGPath = "assets/sounds/SFX/s31.ogg"
		elseif __rnd == 24 then
			ThisOGGPath = "assets/sounds/SFX/s32.ogg"
		elseif __rnd == 25 then
			ThisOGGPath = "assets/sounds/SFX/s33.ogg"	
		elseif __rnd == 26 then
			ThisOGGPath = "assets/sounds/SFX/s34.ogg"	
		elseif __rnd == 27 then
			ThisOGGPath = "assets/sounds/SFX/s35.ogg"	
		elseif __rnd == 28 then
			ThisOGGPath = "assets/sounds/SFX/s36.ogg"
		elseif __rnd == 29 then
			ThisOGGPath = "assets/sounds/SFX/s37.ogg"	
		elseif __rnd == 30 then
			ThisOGGPath = "assets/sounds/SFX/s38.ogg"	
		elseif __rnd == 31 then
			ThisOGGPath = "assets/sounds/SFX/s39.ogg"
		elseif __rnd == 31 then
			ThisOGGPath = "assets/sounds/SFX/s40.ogg"
		elseif __rnd == 32 then
			ThisOGGPath = "assets/sounds/SFX/s41.ogg"
		elseif __rnd == 33 then
			ThisOGGPath = "assets/sounds/SFX/s42.ogg"
		elseif __rnd == 34 then
			ThisOGGPath = "assets/sounds/SFX/s43.ogg"
		elseif __rnd == 35 then
			ThisOGGPath = "assets/sounds/SFX/s45.ogg"
		elseif __rnd == 36 then
			ThisOGGPath = "assets/sounds/SFX/s46.ogg"					
		else
			ThisOGGPath = "assets/sounds/silence.ogg"
		end
		ThisOGGPath = ThisModPath .. ThisOGGPath
		if io.file_is_readable(ThisOGGPath) then
			XAudio.UnitSource:new(XAudio.PLAYER, XAudio.Buffer:new(ThisOGGPath))
		end
	end)
end)

Hooks:PreHook(PlayerDamage, "pre_destroy", hook2, function(self)
	managers.player:unregister_message(Message.OnPlayerDodge, msgr1)
end)